<div id="content">
    <div class="row">
        <form *ngIf="!isLoading" [formGroup]="form" (submit)="onSubmit()">
            <div class="form-group form-row">

                <label for="password">New Password</label>
                <input type="password" class="form-control" id="password" placeholder="Password" formControlName="password">
            </div>
            <div class="form-group form-row">
                <label for="password2">Confirm Password</label>
                <input formControlName="password2" type="password" class="form-control" id="password2" placeholder="Confirm password">
            </div>
            <div class="form-group form-row">

                <label for="oldPassword">Old Password</label>
                <input type="password" class="form-control" id="oldPassword" placeholder="Old password" formControlName="oldPassword">
            </div>
            <div class="form-group form-row" style="margin-left: 2px; margin-bottom: 2px; font-size: 15px;">
                <div *ngIf="!form.valid">
                    <p *ngIf="password.touched && password.errors; else password2Condition">*Please choose your new password</p>
                    <ng-template #password2Condition>
                        <p *ngIf="password.touched && password2.touched && password2.errors">*Please confirm your password</p>
                        <p *ngIf="password.touched && password2.touched && !password2.errors && oldPassword.touched&& oldPassword.errors">
                            *Please enter your old password
                        </p>
                    </ng-template>
                </div>
                <p *ngIf="error"> *{{ error }}</p>

            </div>

            <div class="form-group" style="text-align:center;">
                <button type="submit" class="btn btn-dark" [disabled]="!form.valid">Change Password</button>
            </div>

        </form>
    </div>
</div>